#!/bin/bash

setup() {
    source ../zk
}

test_isosec_calls_date_with_correct_parameters() {
    expected="date -u +%Y%m%d%H%M%S"
    # shellcheck disable=SC2016
    fake date echo 'date ${FAKE_PARAMS[@]}'

    result="$(_zk_isosec)"

    assert_equals "$expected" "$result"
}
